import request from '@/utils/request'

// 查询商品分类列表
export function listStoreProductCategory(query) {
  return request({
    url: '/store/store/storeProductCategory/list',
    method: 'get',
    params: query
  })
}

// 查询商品分类详细
export function getStoreProductCategory(cateId) {
  return request({
    url: '/store/store/storeProductCategory/' + cateId,
    method: 'get'
  })
}

// 新增商品分类
export function addStoreProductCategory(data) {
  return request({
    url: '/store/store/storeProductCategory',
    method: 'post',
    data: data
  })
}

// 修改商品分类
export function updateStoreProductCategory(data) {
  return request({
    url: '/store/store/storeProductCategory',
    method: 'put',
    data: data
  })
}

// 删除商品分类
export function delStoreProductCategory(cateId) {
  return request({
    url: '/store/store/storeProductCategory/' + cateId,
    method: 'delete'
  })
}

// 导出商品分类
export function exportStoreProductCategory(query) {
  return request({
    url: '/store/store/storeProductCategory/export',
    method: 'get',
    params: query
  })
}
export function getAllStoreProductCategory() {
  return request({
    url: '/store/store/storeProductCategory/getAllList' ,
    method: 'get'
  })
}
